Upgrade from Buster to Bullseye Topic is solved

Suggestions for features and software you would like to see in DietPi, goes here.
Niwre
Posts: 58
Joined: Tue Apr 09, 2019 1:26 pm

Re: Upgrade from Buster to Bullseye

Post by Niwre »

@Joulinar

The following packages are said to be missing when I run apt update, but apt upgrade doesn't update any of them. :?

firefox-esr/stable-security 78.13.0esr-1~deb11u1 amd64 [aktualisierbar von: 78.13.0esr-1~deb10u1]
perl-base/stable-security 5.32.1-4+deb11u1 amd64 [aktualisierbar von: 5.28.1-6+deb10u1]
perl/stable-security 5.32.1-4+deb11u1 amd64 [aktualisierbar von: 5.28.1-6+deb10u1]
User avatar
Joulinar
Posts: 5619
Joined: Sat Nov 16, 2019 12:49 am

Re: Upgrade from Buster to Bullseye

Post by Joulinar »

I though you have installed PiHole + WireGuard only. Where does FireFox is coming from?
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Niwre
Posts: 58
Joined: Tue Apr 09, 2019 1:26 pm

Re: Upgrade from Buster to Bullseye

Post by Niwre »

@Joulinar

I don't remember installing Firefox, nor do I need Firefox.
User avatar
Joulinar
Posts: 5619
Joined: Sat Nov 16, 2019 12:49 am

Re: Upgrade from Buster to Bullseye

Post by Joulinar »

can you have a look if it is installed via dietpi-software?
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Niwre
Posts: 58
Joined: Tue Apr 09, 2019 1:26 pm

Re: Upgrade from Buster to Bullseye

Post by Niwre »

@Joulinar

apparently i installed firefox once because it shows up. However, the first installation was a long time ago and I actually only use WireGuard and piHole.

Sorry :?
Attachments
PNG-Bild.png
Niwre
Posts: 58
Joined: Tue Apr 09, 2019 1:26 pm

Re: Upgrade from Buster to Bullseye

Post by Niwre »

I looked directly under the available software, there is no x for Firefox.
User avatar
Joulinar
Posts: 5619
Joined: Sat Nov 16, 2019 12:49 am

Re: Upgrade from Buster to Bullseye

Post by Joulinar »

ok it is not installed via dietpi-software. Let's remove it if not required.

Code: Select all

G_AGP firefox-esr
Let's check the system afterwards

Code: Select all

apt update && apt upgrade -y
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Niwre
Posts: 58
Joined: Tue Apr 09, 2019 1:26 pm

Re: Upgrade from Buster to Bullseye

Post by Niwre »

@Joulinar

then unfortunately there are still two packages left that will not be updated.

perl-base/stable-security 5.32.1-4+deb11u1 amd64 [aktualisierbar von: 5.28.1-6+deb10u1]
perl/stable-security 5.32.1-4+deb11u1 amd64 [aktualisierbar von: 5.28.1-6+deb10u1]
User avatar
Joulinar
Posts: 5619
Joined: Sat Nov 16, 2019 12:49 am

Re: Upgrade from Buster to Bullseye

Post by Joulinar »

can you share full output of

Code: Select all

apt update
apt upgrade
apt full-upgrade
apt autopurge 
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Niwre
Posts: 58
Joined: Tue Apr 09, 2019 1:26 pm

Re: Upgrade from Buster to Bullseye

Post by Niwre »

@Joulinar

I had just logged out of the console and then logged back in again, now it seems to work, I see loads of updates. I'll let that go through and then I'll get back to you. Thank you for your support.
Post Reply